Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class BiasNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.BiasNeuron

All Implemented Interfaces:
  java.io.Serializable

    public class BiasNeuron

extends Neuron

     Neuron with Bias Settings

See Also:
  `Neuron`, Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`BiasNeuron()` Creates an instance of BiasedNeuron.

Method Summary
`void` | `addInputConnection(Connection connection)` Adds the specified input connection
`void` | `addInputConnection(Neuron fromNeuron)` Adds input connection from specified neuron
`void` | `addInputConnection(Neuron fromNeuron, double weightVal)` Adds input connection with the given weight, from given neuron
`double` | `getOutput()` Returns neuron's output

Methods inherited from class org.neuroph.core.Neuron
`addOutputConnection, calculate, getConnectionFrom, getError, getInputConnections, getInputFunction, getInputsIterator, getNetInput, getOutConnections, getParentLayer, getTransferFunction, getWeightsVector, hasInputConnections, initializeWeights, initializeWeights, initializeWeights, randomizeInputWeights, removeInputConnectionFrom, reset, setError, setInput, setInputFunction, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiasNeuron

    public BiasNeuron()

  Creates an instance of BiasedNeuron.

Method Detail

### getOutput

    public double getOutput()

  Description copied from class: `Neuron`
  Returns neuron's output

  Overrides:
    `getOutput` in class `Neuron`
  Returns:
    neuron output

### addInputConnection

    public void addInputConnection(Connection connection)

  Description copied from class: `Neuron`
  Adds the specified input connection

  Overrides:
    `addInputConnection` in class `Neuron`
  Parameters:
    `connection` - input connection to add

### addInputConnection

    public void addInputConnection(Neuron fromNeuron,
                                   double weightVal)

  Description copied from class: `Neuron`
  Adds input connection with the given weight, from given neuron

  Overrides:
    `addInputConnection` in class `Neuron`
  Parameters:
    `fromNeuron` - neuron to connect from
    `weightVal` - connection weight value

### addInputConnection

    public void addInputConnection(Neuron fromNeuron)

  Description copied from class: `Neuron`
  Adds input connection from specified neuron

  Overrides:
    `addInputConnection` in class `Neuron`
  Parameters:
    `fromNeuron` - neuron to connect from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD